Skip to main content

Get Category by id

GET 

/catalog/categories/:category_id

Returns a single category by identifier.

Request

Path Parameters

    category_id uuidrequired

    Category identifier

Responses

OK

Schema

    name stringrequired

    Possible values: >= 2 characters and <= 128 characters

    Display name

    status CategoryStatusesDTO (string)required

    Possible values: [active, inactive, unknown]

    Default value: active

    List of catalog category statuses

    description stringnullable

    Possible values: >= 2 characters and <= 1024 characters

    Additional information

    external_data

    object

    nullable

    External system reference data; null when no external link exists.

    id stringrequired

    Possible values: >= 4 characters and <= 128 characters

    Unique identifier in the external system

    property name* anynullable

    External system reference data; null when no external link exists.

    image_url stringnullable

    Possible values: <= 2048 characters

    Link to main image

    parent_id uuidnullable

    Parent category identifier (nesting depth as in catalog domain)

    created_at date-timerequired

    Creation date and time. Format: ISO 8601

    updated_at date-timerequired

    Update date and time. Format: ISO 8601

    archived_at date-timenullable

    Archiving date and time. Format: ISO 8601

    id uuidrequired

    Possible values: >= 36 characters and <= 36 characters

    Global unique identifier. Format: UUID (id) v4 ISO/IEC 11578:1996

Loading...